### Method

# Foundry TextFormatter format_range

#### Declaration [src]

    DexFuture*
    foundry_text_formatter_format_range (
      FoundryTextFormatter* self,
      const FoundryTextIter* begin,
      const FoundryTextIter* end
    )

#### Description

No description available.

#### Parameters

`begin`

  Type: `FoundryTextIter`

  The start of the region to format.

  The data is owned by the caller of the method.

`end`

  Type: `FoundryTextIter`

  The end of the region to format.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to any value or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.